#pragma once

#include "Panel.h"
#include "ScriptletContainerFactory.h"

namespace tipuio
{
	class NumberImagePanel : public CNPanel
	{
	public:
		DECLARE_COMPONENT_CREATOR(NumberImagePanel);
		NumberImagePanel(void);
		virtual ~NumberImagePanel(void);

		//override
		void OnCreate();
		BOOL ModifyComponent(CContainer* pParent, TiXmlElement* pNode);
		BOOL SetProperty(LPCTSTR property, CComVariant value);
		BOOL GetProperty(LPCTSTR property, CComVariant& value);

		//operation
		void SetNumber(int num);
		int GetNumber() { return m_Number; }

	private:
		int m_Number;
		CComponent* m_Image[10];

		void CreateNumberImage();
	};
};
